Name: audacious
Version: 1.3.2
Release: alt2

Summary: Media player which uses a skinned interface

License: GPL
Group: Sound
Url: http://audacious-media-player.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

#Source: http://audacious-media-player.org/release/%name-%version.tar.bz2
Source: http://static.audacious-media-player.org/release/%name-%version.tar.bz2
Patch: audacious-0.1.2-default-alsa.patch
Patch1: %name-as-needed.patch

%add_findprov_lib_path %_libdir/%name

# Typical environment for GNOME program
Requires(post,postun): desktop-file-utils
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel

%{?_with_gconf:BuildRequires: GConf2-devel}
%{?_with_vfs:BuildRequires: gnome-vfs2-devel}

# manually removed: subversion audacious 
# Automatically added by buildreq on Wed Mar 07 2007
BuildRequires: gcc-c++ libglade-devel libmcs-devel

BuildRequires: libgtk+2-devel >= 2.6

Requires: %name-plugins

%description
Audacious is a media player forked from BMP (Beep Media Player) which uses a
skinned interface based on Winamp 2.x skins, and in turn based on XMMS.

%package -n lib%name
Summary: Library files for the audacious media player
Group: Development/Other

%description -n lib%name
Audacious is a media player forked from BMP (Beep Media Player) which uses a
skinned interface based on Winamp 2.x skins, and in turn based on XMMS.

Library file required to run audacious.


%package -n lib%name-devel
Summary: Development files for the audacious media player
Group: Development/Other
Requires: lib%name = %version
Provides: %name-devel
Obsoletes: %name-devel

%description -n lib%name-devel
Audacious is a media player forked from BMP (Beep Media Player) which uses a
skinned interface based on Winamp 2.x skins, and in turn based on XMMS.

Development files required to develop plugins for audacious.


%prep
%setup -q
#%patch -p1 -b .default-alsa
#%patch1

%build
#__autoreconf
%configure \
    --disable-rpath \
    %{?_with_gconf:--enable-gconf} \
    %{?_with_vfs:--enable-gnome-vfs} \
    --disable-dependency-tracking \
    --with-xmms-eq \
	--enable-chardet

# compile with midi support without see in /proc
%make_build

%install
%make_install install DESTDIR=%buildroot
%find_lang %name

%post
%update_desktopdb

%postun
%clean_desktopdb

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
%_bindir/%name
%_bindir/audtool
%_desktopdir/%name.desktop
%_datadir/%name/
%_pixmapsdir/%name.png
%_man1dir/*
#%dir %_libdir/amidi-plug/
#%dir %_libdir/amidi-plug/backends/
#%_libdir/amidi-plug/backends/*.so

%files -n lib%name
%_libdir/lib%name.so.*
%dir %_libdir/%name/
%_libdir/%name/libaudid3tag.so
			
%files -n lib%name-devel
%_includedir/%name/
%_pkgconfigdir/%name.pc
%_libdir/lib%name.so

%changelog
* Wed Apr 18 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.2-alt2
- add libaudid3tag.so  provides (fix bug #11561)

* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.2-alt1
- new version 1.3.2 (with rpmrb script)

* Tue Apr 03 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.1-alt1
- new version 1.3.1 (with rpmrb script)

* Wed Mar 07 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.0-alt1
- new version 1.3.0
- update buildreq

* Sat Jan 06 2007 Vitaly Lipatov <lav@altlinux.ru> 1.2.2-alt1
- build without GConf2, ImageMagick build requires
- use installed icon, do not convert it
- cleanup spec, use --disable-dependency-tracking for speedup
- build with --enable-chardet (librcd using)

* Mon Dec 11 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.2-alt0.1
- new version 1.2.2 (with rpmrb script)

* Fri Nov 17 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt1
- split to libaudacious, rename devel to libaudacious-devel
- add require for audacious-plugins

* Thu Nov 16 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt0.1
- new version 1.2.1 (need install audacious-plugins)

* Sun Oct 15 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt0.1
- new version (1.2.0)

* Sun Oct 15 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt0.1rc3
- new version (1.2.0)

* Wed Sep 20 2006 Vitaly Lipatov <lav@altlinux.ru> 1.1.2-alt0.1
- new version 1.1.2
- add amidi-plug backends packing

* Thu Aug 03 2006 Vitaly Lipatov <lav@altlinux.ru> 1.1.1-alt0.1
- new version 1.1.1 (with rpmrb script)

* Tue May 02 2006 Vitaly Lipatov <lav@altlinux.ru> 1.0.0-alt0.1
- new version (1.0.0)

* Sun Mar 26 2006 Vitaly Lipatov <lav@altlinux.ru> 0.2.3-alt0.1
- new version 0.2.3
- fixes for build with ld --as-needed

* Mon Feb 06 2006 Vitaly Lipatov <lav@altlinux.ru> 0.2-alt0.1
- new version
- cleanup spec, remove COPYING

* Wed Jan 04 2006 Vitaly Lipatov <lav@altlinux.ru> 0.1.2-alt0.1
- initial build for ALT Linux Sisyphus

* Tue Dec 20 2005 Matthias Saou <http://freshrpms.net/> 0.1.2-1
- Initial RPM release.
- Can't seem to get libsamplerate nor sndfile enabled.
- Disable GConf and VFS by default, since nothing seems to work otherwise.

